<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets">

    <body>

        <ui:composition template="./../WEB-INF/template/Template.xhtml">

            <ui:define name="content">


                <h1>Calendario de Atendimentos</h1>


                <p:schedule id="schedule" value="#{agendaBean.eventModel}" widgetVar="myschedule"  timeZone="GMT-2" locale="pt" >
                    <p:ajax event="dateSelect" listener="#{agendaBean.onDateSelect}" update="eventDetails" oncomplete="PF('eventDialog').show();" />
                    <p:ajax event="eventSelect" listener="#{agendaBean.onEventSelect}" update="eventDetails" oncomplete="PF('eventDialog').show();" />
                    <p:ajax event="eventMove" listener="#{agendaBean.onEventMove}"  />
                    <p:ajax event="eventResize" listener="#{agendaBean.onEventResize}"  />
                </p:schedule>


                <p:dialog widgetVar="eventDialog" header="Event Details" showEffect="clip" hideEffect="clip">
                    <h:panelGrid id="eventDetails" columns="2">
                        <p:outputLabel for="title" value="Titles:" />
                        <p:inputText id="title" value="#{agendaBean.event.title}" required="true" />

                        <p:outputLabel for="from" value="From:" />
                        <p:calendar id="from" value="#{agendaBean.event.startDate}" timeZone="GMT-2" pattern="dd/MM/yyyy HH:mm"/>

                        <p:outputLabel for="to" value="To:" />
                        <p:calendar id="to" value="#{agendaBean.event.endDate}" timeZone="GMT-2" pattern="dd/MM/yyyy HH:mm"/>

                        <p:outputLabel for="allDay" value="All Day:" />
                        <h:selectBooleanCheckbox id="allDay" value="#{agendaBean.event.allDay}" />

                        <p:commandButton type="reset" value="Reset" />
                        <p:commandButton id="addButton" value="Save" actionListener="#{agendaBean.addEvent}" oncomplete="PF('myschedule').update();PF('eventDialog').hide();" />
                    </h:panelGrid>
                </p:dialog>    


            </ui:define>

        </ui:composition>

    </body>
</html>